priorities:
# Features
# AI
- name: "GA Vulnerability Resolution"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10783"
  type: ~"type::feature"
  target_release: 17.6
  category: AI

# Vulnerability Management
- name: "Filter by Identifier on the project Vulnerability Report"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/13340"
  type: ~"type::feature"
  target_release: 17.6
  category: Vulnerability Management
- name: "Vulnerability report grouping on the group Vulnerability Report"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10164"
  type: ~"type::feature"
  target_release: 17.6
  category: Vulnerability Management
- name: "Auto-resolve vulnerabilities when not found in subsequent scans"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/5708"
  type: ~"type::feature"
  target_release: 17.7
  category: Vulnerability Management
- name: "Auto-dismiss irrelevant vulnerabilities"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10894"
  type: ~"type::feature"
  target_release:
  category: Vulnerability Management
- name: "Add vulnerabilities as supported webhook events"
  url: "https://gitlab.com/gitlab-org/gitlab/-/issues/366770"
  type: ~"type::feature"
  target_release:
  category: Vulnerability Management
- name: "Add support for the Vulnerability Report at the Organization Level"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10048"
  type: ~"type::feature"
  target_release:
  category: Vulnerability Management
- name: "Security Dashboard Enhancements"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/12270"
  type: ~"type::feature"
  target_release:
  category: Vulnerability Management
- name: "Track Vulnerabilities in locations other than default branch"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/3430"
  type: ~"type::feature"
  target_release:
  category: Vulnerability Management
- name: "Add essential risk-based information to Vulnerability Management"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/4107"
  type: ~"type::feature"
  target_release:
  category: Vulnerability Management


# Dependency Management
- name: "Severity Filter"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/12653"
  type: ~"type::feature"
  target_release:
  category: Dependency Management
- name: "Group by License"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/8091"
  type: ~"type::feature"
  target_release: 
  category: Dependency Management
- name: "Group by Project"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/8091"
  type: ~"type::feature"
  target_release:
  category: Dependency Management
- name: "Group by Component"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/8091"
  type: ~"type::feature"
  target_release: 
  category: Dependency Management
- name: "Vulnerability Enhancements to the Dependency List"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/13351"
  type: ~"type::feature"
  target_release:
  category: Dependency Management
- name: "License Enhancements to the Dependency List"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/13352"
  type: ~"type::feature"
  target_release:
  category: Dependency Management
- name: "Include latest version for each component"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10906"
  type: ~"type::feature"
  target_release:
  category: Dependency Management
- name: "Add support for the Dependency List at the Organization Level"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10048"
  type: ~"type::feature"
  target_release:
  category: Dependency Management
- name: "Filter by node depth on the dependency list"
  url: "https://about.gitlab.com/"
  type: ~"type::feature"
  target_release:
  category: Dependency Management

# Maintenance

- name: "Use security_findings for security MR widget report comparison"
  url: "https://gitlab.com/gitlab-org/gitlab/-/issues/390185"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "Follow-up after deprecate the use of Vulnerabilities::Feedback"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/9552"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "Deprecate and remove project_fingerprint"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/2791"
  type: ~"type::maintenance"
  target_release: 
  category: Vulnerability Management
- name: "Change 1:N to 1:1 relation between Vulnerability and Vulnerabilities::Finding"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10819"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "Use rubygem to release security report schemas"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/9314"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "MR Security widget - migrate to GraphQL"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10962"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "Deprecate and remove vulnerability REST APIs"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/5118"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "Security report schema MODEL bump to 16-0-0"
  url: "https://gitlab.com/groups/gitlab-org/security-products/-/epics/6"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "Improve on and add vulnerability/finding GraphQL endpoints to allow frontend to write better code for existing features"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/7825"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "Remove work-around for data integrity on issue_feedback, issue_links"
  url: "https://gitlab.com/gitlab-org/gitlab/-/issues/224458"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "Security Training - Follow up and lower priority items"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/9040"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "Reusable findings modal - Post MVC"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/10789"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "Migrate `Vulnerability::Read` create / update logic from postgresql to Rails"
  url: "https://gitlab.com/gitlab-org/gitlab/-/issues/393912"
  type: ~"type::maintenance"
  target_release:
  category: Vulnerability Management
- name: "Update and clean-up for dependencies API and exporter"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/11591"
  type: ~"type::maintenance"
  target_release:
  category: Dependency Management

# Performance
- name: "Secure/Govern Database Decomposition"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/13043"
  type: ~"type::maintenance" 
  target_release: 17.8
  category: Performance

- name: "Application limits"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/13571"
  type: ~"type::maintenance" 
  target_release: 17.6
  category: Performance
- name: "Vulnerability retention policy"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/12229"
  type: ~"type::maintenance" 
  target_release:
  category: Performance
- name: "Elasticsearch for Vulnerability Management"
  url: "https://gitlab.com/groups/gitlab-org/-/epics/13510"
  type: ~"type::maintenance" 
  target_release:
  category: Performance
